<!DOCTYPE html>
<html lang="en">
<head>
  <title>PHP FileMaker</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>

 <?php
    require_once('FileMaker.php');

    $fm = new FileMaker();
    $databases = $fm->listDatabases();
    $fm = new FileMaker();
    $fm->setProperty('database', 'TestData'); 
    $fm->setProperty('hostspec', 'http://65.49.9.28');
    $fm->setProperty('username', 'admin');
    $fm->setProperty('password', '');

//set the layout name for this page
$layout_name = 'TestTable';

$findCommand =& $fm->newFindAllCommand($layout_name);

$findCommand->addSortRule('LastName', 1, FILEMAKER_SORT_ASCEND);

// Execute find command
$result = $findCommand->execute();

if (FileMaker::isError($result)) {
    echo "Error: " . $result->getMessage() . "\n";
    exit;
}

// Get array of found records
$records = $result->getRecords();
?>
            <!-- LOOP THROUGH ROWS -->
            <?php foreach ($records as $dataRow) { 

                  if ($dataRow->getField('ID') == $_GET['recid']) {

              ?>
                    <div class="container">
                    <h2>FM Record Submission - EDIT </h2>
                      <div class="form-group">
                          <a href='FMRecordlist.php'> Back To Records List </a>
                    </div>
                    <form action="update-changes.php" method="post">
                      <div class="form-group">
                        <label for="LastName">Last Name:</label>
                         <input type="hidden" class="form-control" name="recid" value="<?php echo $_GET['recid']; ?>">
                        <input type="text" class="form-control" id="email" placeholder="Enter Last Name" name="LastName" value="<?php echo $dataRow->getField('LastName'); ?>">
                      </div>
                      <div class="form-group">
                        <label for="FirstName">First Name:</label>
                        <input type="text" class="form-control" id="email" placeholder="Enter First Name" name="FirstName" value="<?php echo $dataRow->getField('FirstName'); ?>">
                      </div>
                      <div class="form-group">
                        <label for="MidName">Middle Name:</label>
                        <input type="text" class="form-control" id="email" placeholder="Enter Middle Name" name="MidName" value="<?php echo $dataRow->getField('MidName'); ?>">
                      </div>

                      <button type="submit" class="btn btn-default">Save Changes</button>
                    </form>
                  </div>
              <?php  
                  }
             } 
           ?>
    </div>
</div>

</body>
</html>
